<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - models\city.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">models\city.dart</a> - city.dart<span style="font-size: 80%;"> (source / <a href="city.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">11</td>
            <td class="headerCovTableEntry">11</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">Sat Jan  7 15:41:32 2023</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : class City {</a>
<a name="2"><span class="lineNum">       2 </span>            :   String? name;</a>
<a name="3"><span class="lineNum">       3 </span>            :   String? province;</a>
<a name="4"><span class="lineNum">       4 </span>            : </a>
<a name="5"><span class="lineNum">       5 </span><span class="lineCov">          1 :   City({this.name, this.province});</span></a>
<a name="6"><span class="lineNum">       6 </span>            : </a>
<a name="7"><span class="lineNum">       7 </span><span class="lineCov">          1 :   factory City.fromJson(Map&lt;String, dynamic&gt; json) {</span></a>
<a name="8"><span class="lineNum">       8 </span><span class="lineCov">          1 :     return City(</span></a>
<a name="9"><span class="lineNum">       9 </span><span class="lineCov">          1 :       name: json['name'],</span></a>
<a name="10"><span class="lineNum">      10 </span><span class="lineCov">          1 :       province: json['province'],</span></a>
<a name="11"><span class="lineNum">      11 </span>            :     );</a>
<a name="12"><span class="lineNum">      12 </span>            :   }</a>
<a name="13"><span class="lineNum">      13 </span>            : </a>
<a name="14"><span class="lineNum">      14 </span><span class="lineCov">          1 :   Map&lt;String, dynamic&gt; toJson() {</span></a>
<a name="15"><span class="lineNum">      15 </span><span class="lineCov">          1 :     final Map&lt;String, dynamic&gt; data = &lt;String, dynamic&gt;{};</span></a>
<a name="16"><span class="lineNum">      16 </span><span class="lineCov">          2 :     data['name'] = name;</span></a>
<a name="17"><span class="lineNum">      17 </span><span class="lineCov">          2 :     data['province'] = province;</span></a>
<a name="18"><span class="lineNum">      18 </span>            :     return data;</a>
<a name="19"><span class="lineNum">      19 </span>            :   }</a>
<a name="20"><span class="lineNum">      20 </span>            : </a>
<a name="21"><span class="lineNum">      21 </span><span class="lineCov">          1 :   @override</span></a>
<a name="22"><span class="lineNum">      22 </span>            :   String toString() {</a>
<a name="23"><span class="lineNum">      23 </span><span class="lineCov">          3 :     return 'City{name: $name, province: $province}';</span></a>
<a name="24"><span class="lineNum">      24 </span>            :   }</a>
<a name="25"><span class="lineNum">      25 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15.alpha0w</a></td></tr>
  </table>
  <br>

</body>
</html>
